summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohn Klug <john.klug@multitech.com>2017-08-25 19:37:18 -0500
committerJohn Klug <john.klug@multitech.com>2017-08-25 19:37:18 -0500
commit5479aa3e191d7ee07f8e8425d37a6c0715e884cb (patch)
treeecf944032724359d619e07db4d88c1092bea52ac
parent8407594e7a5e256c20f5be1c340fa977308ca26e (diff)
downloadmeta-mlinux-5479aa3e191d7ee07f8e8425d37a6c0715e884cb.tar.gz
meta-mlinux-5479aa3e191d7ee07f8e8425d37a6c0715e884cb.tar.bz2
meta-mlinux-5479aa3e191d7ee07f8e8425d37a6c0715e884cb.zip
Add the mlinux-set-apn script invocation for proper APN
-rwxr-xr-xrecipes-core/multitech/cell-radio-fwswitch/cell-radio-fwswitch.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/recipes-core/multitech/cell-radio-fwswitch/cell-radio-fwswitch.sh b/recipes-core/multitech/cell-radio-fwswitch/cell-radio-fwswitch.sh
index 6e127e6..94c69ca 100755
--- a/recipes-core/multitech/cell-radio-fwswitch/cell-radio-fwswitch.sh
+++ b/recipes-core/multitech/cell-radio-fwswitch/cell-radio-fwswitch.sh
@@ -66,7 +66,9 @@ fi
#
# Exit if no TIMEOUT set
#
-[ $TIMEOUT -eq 0 ] && exit 0
+# This is somewhat dangerous in that we assume the radio
+# will switch.
+[ $TIMEOUT -eq 0 ] && (/usr/sbin/set-apn "$FWIMAGE" || exit 0)
#
# Wait for the radio to be ready before continuing
@@ -84,6 +86,7 @@ while [ $COUNTER -lt $TIMEOUT ]; do
MODEL=$(radio-query --model)
if [ $? -eq 0 ]; then
echo "Cellular radio firmware has been switched to $FWIMAGE image."
+ /usr/sbin/mlinux-switch-apn $FWIMAGE
exit 0
fi
@@ -94,5 +97,6 @@ while [ $COUNTER -lt $TIMEOUT ]; do
sleep 1
done
+/usr/sbin/mlinux-switch-apn $FWIMAGE
echo "Cellular radio is not ready."
exit 1